Name:           python-pygeoda
Version:        0.1.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        pygeoda is a python library for spatial data analysis based on GeoDa and libgeoda.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/geodacenter/pygeoda
Source:         %{pypi_source pygeoda}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pygeoda' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pygeoda
Summary:        %{summary}

%description -n python3-pygeoda %_description


%prep
%autosetup -p1 -n pygeoda-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pygeoda -f %{pyproject_files}


%changelog
%autochangelog